﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public interface ControlStrategy
{
    string getHorizontalInput();
    string getVerticalInput();
    string getStepBackInput();
    string getBehindBackInput();
    string getCrossOverInput();
    string getStealInput();
    string getBlockInput();
    string getThrowInput();
}

public class KeyBoardControl : ControlStrategy
{
    public string getBehindBackInput()
    {
        return "BehindBack";
    }

    public string getBlockInput()
    {
        return "Block";
    }

    public string getCrossOverInput()
    {
        return "CrossOver";
    }

    public string getHorizontalInput()
    {
        return "Horizontal";
    }

    public string getStealInput()
    {
        return "Steal";
    }

    public string getStepBackInput()
    {
        return "StepBack";
    }

    public string getThrowInput()
    {
        return "Shot";
    }

    public string getVerticalInput()
    {
        return "Vertical";
    }
}

public class XboxControl : ControlStrategy
{
    public string getBehindBackInput()
    {
        throw new System.NotImplementedException();
    }

    public string getBlockInput()
    {
        throw new System.NotImplementedException();
    }

    public string getCrossOverInput()
    {
        throw new System.NotImplementedException();
    }

    public string getHorizontalInput()
    {
        throw new System.NotImplementedException();
    }

    public string getStealInput()
    {
        throw new System.NotImplementedException();
    }

    public string getStepBackInput()
    {
        throw new System.NotImplementedException();
    }

    public string getThrowInput()
    {
        throw new System.NotImplementedException();
    }

    public string getVerticalInput()
    {
        throw new System.NotImplementedException();
    }
}

public class DualShockControl : ControlStrategy
{
    public string getBehindBackInput()
    {
        throw new System.NotImplementedException();
    }

    public string getBlockInput()
    {
        throw new System.NotImplementedException();
    }

    public string getCrossOverInput()
    {
        throw new System.NotImplementedException();
    }

    public string getHorizontalInput()
    {
        throw new System.NotImplementedException();
    }

    public string getStealInput()
    {
        throw new System.NotImplementedException();
    }

    public string getStepBackInput()
    {
        throw new System.NotImplementedException();
    }

    public string getThrowInput()
    {
        throw new System.NotImplementedException();
    }

    public string getVerticalInput()
    {
        throw new System.NotImplementedException();
    }
}
