﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DefSkillScript : MonoBehaviour
{
    private Animator stateMachine;
    private bool isMoving;

    [SerializeField] private KeyCode steal;
    [SerializeField] private KeyCode block;

    // Use this for initialization
    void Start ()
    {
        isMoving = false;
        OnEnable();
    }
	
	// Update is called once per frame
	void Update ()
    {
        if (Input.GetKeyDown(steal) && !isMoving)
        {
            stateMachine.Play("Steal");
            stealAttempet();
        }
        if (Input.GetKeyDown(block) && !isMoving)
        {
            stateMachine.Play("Block");
            blockAttempt();
        }
    }

    private void moving()
    {
        isMoving = true;
    }

    private void notMoving()
    {
        isMoving = false;
    }

    private void stealAttempet()
    {
        //do something
    }

    private void blockAttempt()
    {
        //do something
    }

    public void setStateMachine(Animator animator)
    {
        stateMachine = animator;
    }

    public void updateStateMachine(AnimatorOverrideController animator)
    {
        stateMachine.runtimeAnimatorController = animator;
    }

    private void OnEnable()
    {
        MovingBehavior.enterMoving = moving;
        MovingBehavior.exitMoving = notMoving;
    }

    private void OnDisable()
    {
        MovingBehavior.enterMoving -= moving;
        MovingBehavior.exitMoving -= notMoving;
    }
}
